Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.ogcwebservices.wfs.operation.transaction
Class Replace

    java.lang.Object
      org.deegree.ogcwebservices.wfs.operation.transaction.TransactionOperation
          org.deegree.ogcwebservices.wfs.operation.transaction.Replace

    public class Replace

extends TransactionOperation

Represents a `Replace` operation as a part of a `Transaction` request.

This operation is designed after the Replace operation of the upcoming WFS 2.0.0 specification. One or more feature instances (specified by a filter expression) are replaced by a given feature instance. The replacement is assumed to be performed property by property, so the targeted features are identical to the specified feature afterwards, but keep their original feature ids.

Version:
  $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18 Jun 2009) $
Author:
  Markus Schneider , last edited by: $Author: mschneider $

Constructor Summary
`Replace(String handle, QualifiedName typeName, Feature replacementFeature, Filter filter)` Creates a new `Replace` instance.

Method Summary
`List<QualifiedName>` | `getAffectedFeatureTypes()` Returns the names of the feature types that are affected by the operation.
`Feature` | `getFeature()` Returns the feature that will be used to replace the properties of the matched feature instances.
`Filter` | `getFilter()` Returns the filter that selects the feature instances to be replaced.
`QualifiedName` | `getTypeName()` Returns the name of the targeted feature type.
`void` | `setFilter(Filter filter)` Sets the filter that determines the features that are affected by the operation.

Methods inherited from class org.deegree.ogcwebservices.wfs.operation.transaction.TransactionOperation
`getHandle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Replace

    public Replace(String handle,
                   QualifiedName typeName,
                   Feature replacementFeature,
                   Filter filter)

  Creates a new `Replace` instance.

  Parameters:
    `handle` - optional identifier for the operation (for error messsages)
    `typeName` - the name of the targeted feature type
    `replacementFeature` - feature that specifies all properties
    `filter` - selects the feature instances to be replaced

Method Detail

### getTypeName

    public QualifiedName getTypeName()

  Returns the name of the targeted feature type.

  Returns:
    the name of the targeted feature type.

### getFilter

    public Filter getFilter()

  Returns the filter that selects the feature instances to be replaced.

  Returns:
    the filter that selects the feature instances to be replaced

### setFilter

    public void setFilter(Filter filter)

  Sets the filter that determines the features that are affected by the operation.

  Parameters:
    `filter` - determines the features that are affected by the operation

### getFeature

    public Feature getFeature()

  Returns the feature that will be used to replace the properties of the matched feature instances.

  Returns:
    the feature that will be used to replace the properties of the matched feature instances

### getAffectedFeatureTypes

    public List<QualifiedName> getAffectedFeatureTypes()

  Description copied from class: `TransactionOperation`
  Returns the names of the feature types that are affected by the operation.

  Specified by:
    `getAffectedFeatureTypes` in class `TransactionOperation`
  Returns:
    the names of the affected feature types.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org